Subject: bug#10408: 24.0.92; gnus sluggish with large mailbox at the end

From: Ivan Kanis <[email-masked]>
Date: Thu, 05 Jan 2012 09:29:56 +0100

Lars Magne Ingebrigtsen <[email-masked]> wrote:

> Ivan Kanis <[email-masked]> writes:
>
>>>> Sorry no -Q recipe. Open a large mailbox with gnus. Mine is 4500
>>>> messages. Gnus is sluggish at the _end_ of the buffer only. The top
>>>> works fine.
>>>
>>> What backend are you using to open the mailbox?
>>
>> Hi Lars, I use the nnml backend.
>
> I'm unable to reproduce this in my nnml groups.  How does the
> sluggishness act?  Is moving the cursor around slow?  Selecting
> messages?  Scrolling?

It's moving the cursor around. I have seen it on Debian 6.0 and Ubuntu
10.10. When I get round to it I'll give a -Q recipe. Do you have font
lock enabled? When developing nterm I have seen slowness due to too many
faces. I don't know if that's the problem.
-- 
Ivan
http://kanis.fr

There are two types of people in this world, good and bad. The good
sleep better, but the bad seem to enjoy the waking hours much more.
    -- Woody Allen